aboutsummaryrefslogtreecommitdiffstats
path: root/package/ppp/files.old/etc/ppp/ip-down
diff options
context:
space:
mode:
Diffstat (limited to 'package/ppp/files.old/etc/ppp/ip-down')
-rwxr-xr-xpackage/ppp/files.old/etc/ppp/ip-down25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/ppp/files.old/etc/ppp/ip-down b/package/ppp/files.old/etc/ppp/ip-down
new file mode 100755
index 0000000000..487ff6b46b
--- /dev/null
+++ b/package/ppp/files.old/etc/ppp/ip-down
@@ -0,0 +1,25 @@
+#!/bin/sh
+. /etc/functions.sh
+PPP_IFACE="$1"
+PPP_TTY="$2"
+PPP_SPEED="$3"
+PPP_LOCAL="$4"
+PPP_REMOTE="$5"
+PPP_IPPARAM="$(echo $6 | sed 's/\./_/g')"
+export PPP_IFACE PPP_TTY PPP_SPEED PPP_LOCAL PPP_REMOTE PPP_IPPARAM
+[ -z "$PPP_IPPARAM" ] || {
+ case "$PPP_IFACE" in
+ # only handle uci managed interfaces here, others are done by generic hotplug
+ 3g-*|ppp-*|pppoa-*|pppoe-*|pptp-*)
+ env -i ACTION="ifdown" INTERFACE="$PPP_IPPARAM" DEVICE="$PPP_IFACE" PROTO=ppp /sbin/hotplug-call "iface"
+ uci_revert_state network "$PPP_IPPARAM"
+ ;;
+ esac
+}
+
+[ -d /etc/ppp/ip-down.d ] && {
+ for SCRIPT in /etc/ppp/ip-down.d/*
+ do
+ [ -x "$SCRIPT" ] && "$SCRIPT" "$@"
+ done
+}